using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface INotify
    {
        bool Insert(Model.Notify model);
        bool Update(Model.Notify model);
        bool Delete(int id);
        IList<Model.Notify> Get(int id);
        IList<Model.Notify> Get(Model.Notify NotieModel, ref Model.PageInfo pageModel);
        /*----------------------------------------------------------*/
        /// <summary>
        ///  过时
        /// </summary>
        IList<Model.Notify> GetTop1(int Num, int IsTop);
    }
}
